## org.freedesktop.GeoClue2.Manager org.freedesktop.GeoClue2.Manager — The GeoClue service manager |

## Methods

    GetClient (OUT o client);
    AddAgent  (IN  s id);

## Properties

    InUse                   readable   b
    AvailableAccuracyLevel  readable   u

## Description

This is the interface you use to talk to main GeoClue2 manager object at path "/org/freedesktop/GeoClue2/Manager". The only thing you do with this interface is to call GetClient() on it to get your application specific client object.

## Method Details

### The GetClient() method

    GetClient (OUT o client);

Retrieves a client object which can only be used by the calling application only.

`OUT o `client``: | The path for newly created client object

### The AddAgent() method

    AddAgent (IN  s id);

An API for user authorization agents to register themselves. Each agent is responsible for the user it is running as. Application developers can and should simply ignore this API.

`IN s `id``: | The Desktop ID (excluding .desktop) of the agent

## Property Details

### The "InUse" property

    InUse  readable   b

Whether service is currently is use by any application.

### The "AvailableAccuracyLevel" property

    AvailableAccuracyLevel  readable   u

The level of available accuracy, as GClueAccuracyLevel.